### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.rio

# Class RIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.rio.RIOException

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class RIOException extends Exception
Exception class for proprietary extensions to the SAS IOM Driver for JDBC.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RIOException(int code, String reason)`
  Constructs a RIOException object.
  `RIOException(MessageCode messageCode, Object... arguments)`
  Use this constructor when message string has arguments
  `RIOException(String reason)`
  Constructs a RIOException object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getErrorCode()`
  Gets the exception code value.
  `SQLException`
  `toSQLException()`
  Convert a RIOException to an equivalent SQLException.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RIOException

    public RIOException(int code, String reason)
    Constructs a RIOException object.
    Parameters:
      `code` - A specific exception code.
      `reason` - A description of the exception.

  - ### RIOException

    public RIOException(String reason)
    Constructs a RIOException object.
    Parameters:
      `reason` - A description of the exception.

  - ### RIOException

    public RIOException(MessageCode messageCode, Object... arguments)
    Use this constructor when message string has arguments
    Parameters:
      `messageCode` - the message code
      `arguments` - any arguments taken by the message

- ## Method Details

  - ### getErrorCode

    public int getErrorCode()
    Gets the exception code value.
    Returns:
      the error code for this `RIOException`

  - ### toSQLException

    public SQLException toSQLException()
    Convert a RIOException to an equivalent SQLException.
    Returns:
      a SQLException